import React from 'react'
import { render } from '@testing-library/react-native'
import type { RenderOptions } from '@testing-library/react-native'

// 自定义渲染函数，可以在这里添加 Provider 等
export function renderWithProviders(
  ui: React.ReactElement,
  options?: Omit<RenderOptions, 'wrapper'>,
) {
  return render(ui, options)
}

// 重新导出所有测试工具
export * from '@testing-library/react-native'
